/***************************************************************************
                          kcovercurvedstring.h  -  description
                             -------------------
    begin                : Sun Jun 18 2000
    copyright            : (C) 2000 by Pascal 'PeP' Panneels
    email                : pp@bvdep.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KCOVERCURVEDSTRING_H
#define KCOVERCURVEDSTRING_H

#include <kcoverstring.h>
#include <id.h>

/**draw a text around a circle (or half circle)
  *@author Pascal 'PeP' Panneels
  */


class KCoverCurvedString : public KCoverString  {

public:
	KCoverCurvedString(string text="", int x=0, int y=0, int order=0, unsigned char type=TYPE_CIRCLE, unsigned int r=50);
	virtual ~KCoverCurvedString();
    virtual int GetClassType() { return TYPE_CLASS_CURVED_STRING; }
    virtual void Paint(QPainter &, QPoint orig);
    /** set the type of the curved */
    void SetType(unsigned char);
    /* is a point in the rainbow/circle text ? */
    bool IsPointInObject(QPoint &pos);
	virtual int Width();
  	virtual int Height();
  	virtual int RealX();
  	virtual int RealY();
  /** load an object */
  virtual void Load(QFile &file, int version);
  /** save an object */
  virtual void Save(QFile &file);

public:
	//QPoint Center;				// center of the circle
	unsigned int Radius;		// radius of the circle
	unsigned char Type;		// type of drawing
	float StartAngle;
	float StepAngle;
	float TotalAngle;
};

#endif
